1 Reply Latest reply on Nov 9, 2019 7:00 PM by Srn87-Oracle

    Interoperability between weblogic 10.3.6 domain and 12c domain

    Srn87-Oracle

      Hello Team,

           I am planning to integrate two weblogic domains(10.3.6 & 12.2.1.2) which reside on different machine.

      The applications running in the domains mainly use JMS for communication(Foriegn JMS,SAF etc).

      SAF sending agents to the other domain will be there on both the domains.

      Are there any known issue of SAF/JMS compatibility issues between weblogic 12c and 11g?

      Any there any chances of other interoperability issues in this model?

        • 1. Re: Interoperability between weblogic 10.3.6 domain and 12c domain
          Srn87-Oracle

          Hello All,

            I found the below from the document(https://docs.oracle.com/middleware/12213/wls/INTRO/compatibility.htm#INTRO112  ).

          No issues for JMS/SAF.Although for some cases,WLS patch 26988478  may be needed to be installed in WLS 10.3.6 domain

           

           

           

          Interoperability between WebLogic Server 12c (12.2.1.x) and WebLogic Server 10.0, 10.3.x, 12.1.1, 12.1.2, and 12.1.3 is supported in the following scenarios.

           

          • A WebLogic Server 10.0, 10.3.x, 12.1.1, 12.1.2, and 12.1.3 client can invoke RMI-based applications hosted on a WebLogic Server 12c (12.2.1) server using IIOP, T3, T3S, HTTP, and HTTPS. JMS applications can be invoked using T3, T3S, HTTP, and HTTPS.

           

          • A WebLogic Server 12c (12.2.1) client can invoke RMI-based applications hosted on a WebLogic Server 10.0, 10.3.x, 12.1.1, 12.1.2, and 12.1.3 server using IIOP, T3, T3S, HTTP, and HTTPS. JMS applications can be invoked using T3, T3S, HTTP, and HTTPS.

           

          • A WebLogic Proxy Plug-In can proxy to the latest patch set release of a 10.0, 10.3.x, 12.1.1, 12.1.2, and 12.1.3 server.

           

          One important restriction however is with regards to interoperability between WebLogic Server 12c (12.2.1.x) and an older release of WebLogic Server that uses Compatibility security. WebLogic Server 12c (12.2.1.x) has removed support for Compatibility security in both the server and client. If incase interoperability has to be enabled with a version of WebLogic Server that uses Compatibility security, then it can be done either by configuring the network channel used for communicating with the older WebLogic Server domain to use the IIOP protocol instead of T3  or by upgrading the older weblogic domain to a 12c version.

          1 person found this helpful